package com.ruoyi.system.domain;

import com.ruoyi.system.core.mqtt.DefProtocol;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 设备状态对象 sys_device_status
 * 
 * @author ruoyi
 * @date 2023-08-16
 */
public class SysDeviceStatus extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long deviceStatusId;

    /** 功能id */
    @Excel(name = "功能id")
    private String functionId;

    /** 设备编号 */
    @Excel(name = "设备编号")
    private String deviceNo;

    /** 实时输出量 */
    @Excel(name = "实时输出量")
    private String inputs;

    public SysDeviceStatus(DefProtocol defProtocol) {
        this.functionId = defProtocol.getFunctionId();
        this.deviceNo = defProtocol.getDeviceId();
        this.inputs = defProtocol.getInputs();
    }

    public SysDeviceStatus(){

    }

    public void setDeviceStatusId(Long deviceStatusId) 
    {
        this.deviceStatusId = deviceStatusId;
    }

    public Long getDeviceStatusId() 
    {
        return deviceStatusId;
    }
    public void setFunctionId(String functionId) 
    {
        this.functionId = functionId;
    }

    public String getFunctionId() 
    {
        return functionId;
    }
    public void setDeviceNo(String deviceNo) 
    {
        this.deviceNo = deviceNo;
    }

    public String getDeviceNo() 
    {
        return deviceNo;
    }
    public void setInputs(String inputs) 
    {
        this.inputs = inputs;
    }

    public String getInputs() 
    {
        return inputs;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("deviceStatusId", getDeviceStatusId())
            .append("functionId", getFunctionId())
            .append("deviceNo", getDeviceNo())
            .append("inputs", getInputs())
            .toString();
    }
}
